Bug 829419 - segfault + libpng warning: Interlace handling should be turned on when using png_read_image
segfault + libpng warning: Interlace handling should be turned on when using ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: SDL_image (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
: 996255 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 12:43 EDT by Michael Schwendt
Modified: 2016-01-07 22:22 EST (History)
7 users (show)

See Also:
Fixed In Version: SDL_image-1.2.12-13.fc23 SDL_image-1.2.12-13.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-03 15:22:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
manually attach backtrace of segfault (2.70 KB, text/plain)
2012-06-06 12:43 EDT, Michael Schwendt
no flags Details
SDL_image-1.2.12-interlaced-png-warning-fix.patch (1.84 KB, patch)
2015-12-26 09:14 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2012-06-06 12:43:44 EDT
Created attachment 589955 [details]
manually attach backtrace of segfault

Caveat: I'm not familiar with this thing. I just installed it for a brief look.

Description of problem: Simply installing tuxmath and the pending t4k_common bug-fix update segfaults after some time when watching the "Demo" and doing nothing.

$ tuxmath
Initializing Tux4Kids-Common 0.1.1
libpng warning: Interlace handling should be turned on when using png_read_image
libpng warning: Interlace handling should be turned on when using png_read_image
libpng warning: Interlace handling should be turned on when using png_read_image
libpng warning: Interlace handling should be turned on when using png_read_image

Could not find high score table.
libpng warning: Interlace handling should be turned on when using png_read_image
[...]
libpng warning: Interlace handling should be turned on when using png_read_image
libpng warning: Interlace handling should be turned on when using png_read_image
libpng warning: Interlace handling should be turned on when using png_read_image
libpng warning: Interlace handling should be turned on when using png_read_image
Segmentation fault


Version-Release number of selected component (if applicable):
$ rpm -q tuxmath t4k_common
tuxmath-2.0.1-2.fc17.x86_64
t4k_common-0.1.1-7.fc17.x86_64


How reproducible:
Always, but apparently not after the same duration.

Steps to Reproduce:
1. start tuxmath
2. choose "More Options > Demo"
3. keep watching the demo till it segfaults
  

Additional info: 
1) The message "libpng warning: Interlace handling should be turned on when using png_read_image" that is printed *many* times might not be related to the segfault.
2) For unknown reasons, ABRT doesn't intercept the segfault. Manually created backtrace attached.
Comment 1 Jon Ciesla 2012-06-06 14:39:46 EDT
It looks like this error is being generated within SDL_image.  Still digging. . .
Comment 2 Michael Schwendt 2012-06-06 15:24:27 EDT
About the warning:
http://old.nabble.com/Incorrect-warning-about-interlace-handling-td30671243.html

The segfault is unrelated and a dupe of 772299 (F-16).
Comment 3 Jon Ciesla 2012-06-06 15:28:06 EDT
Tom, what do you think about that patch?
Comment 4 Tom Lane 2012-06-06 16:06:28 EDT
If you mean the patch mentioned in that nabble thread, I think it's in our copy of libpng already.  Are you sure the application isn't in fact doing what the warning says not to?
Comment 5 Michael Schwendt 2012-06-06 16:38:12 EDT
Yes, the patch is included in libpng 1.5.10 as it has been applied post 1.5.0:
http://sourceforge.net/tracker/?func=detail&aid=3158057&group_id=5624&atid=105624

Other SDL_image based apps print the same warning and other warnings, e.g. tuxtype and tuxpaint:

$ tuxpaint
libpng warning: Duplicate iCCP chunk
libpng warning: Interlace handling should be turned on when using png_read_image
libpng warning: Interlace handling should be turned on when using png_read_image
Error: plugin /usr/lib64/tuxpaint/plugins/puzzle.so is missing get_tool_count
[...]
Comment 6 Jon Ciesla 2012-07-30 15:58:18 EDT
pygame apps as well.
Comment 7 Fedora End Of Life 2013-07-04 02:13:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 13:43:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Michael Schwendt 2013-08-01 14:16:33 EDT
Reproducible with F19. Watching the "Demo" segfaults spontaneously.

tuxmath-2.0.1-4.fc19.x86_64                   Thu 01 Aug 2013 20:15:02 CEST
t4k_common-0.1.1-9.fc19.x86_64                Thu 01 Aug 2013 20:15:00 CEST
SDL_mixer-1.2.12-4.fc19.x86_64                Thu 01 Aug 2013 20:15:00 CEST
SDL_image-1.2.12-6.fc19.x86_64                Thu 01 Aug 2013 20:14:59 CEST
libmikmod-3.2.0-21.fc19.x86_64                Thu 01 Aug 2013 20:14:59 CEST
SDL_Pango-0.1.2-16.fc19.x86_64                Thu 01 Aug 2013 20:14:58 CEST
SDL_net-1.2.8-3.fc19.x86_64                   Thu 01 Aug 2013 20:14:57 CEST
Comment 10 Jan Kurik 2015-12-22 06:33:12 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.
Comment 11 Michael Schwendt 2015-12-22 06:41:53 EST
Still in F23. Just had a brief look via:

> Steps to Reproduce:
> 1. start tuxmath
> 2. choose "More Options > Demo"
> 3. keep watching the demo till it segfaults
Comment 12 Michael Schwendt 2015-12-22 06:48:46 EST
*** Bug 996255 has been marked as a duplicate of this bug. ***
Comment 13 Michael Schwendt 2015-12-22 06:49:16 EST
see ABRT generated data in bug 1293606
Comment 14 Hans de Goede 2015-12-24 13:08:18 EST
Hi,

It seems this is all the same crash, which is fixed by this patch:

--- tuxmath_w_fonts-2.0.1/src/game.c~   2011-04-19 18:05:38.000000000 +0200
+++ tuxmath_w_fonts-2.0.1/src/game.c    2015-12-24 19:03:15.475551698 +0100
@@ -638,6 +638,9 @@ int game_initialize(void)
     comets[i].answer_surf = NULL;
   }

+  powerup_comet->comet.formula_surf = NULL;
+  powerup_comet->comet.answer_surf = NULL;
+
   /* Reset remaining stuff: */
   comet_fontsize = (int)(BASE_COMET_FONTSIZE * get_scale());
   bkgd = scaled_bkgd = NULL;

tuxmath also needs an icon and an appdata file I will take care of this
one of the coming days and then do a new build with this fixed.

Regards,

Hans
Comment 15 Hans de Goede 2015-12-26 09:14 EST
Created attachment 1109600 [details]
SDL_image-1.2.12-interlaced-png-warning-fix.patch
Comment 16 Hans de Goede 2015-12-26 09:16:34 EST
The libpng warnings are caused by an issue in SDL_image, fixed by the patch I've just attached. I'm going to use this bug to track this -> changing component to SDL_image.

I will use bug 1293606 to track the powerup_comet crash in tuxmath itself.
Comment 17 Hans de Goede 2015-12-26 09:45:39 EST
I've also filed a bug with the patch upstream:

https://bugzilla.libsdl.org/show_bug.cgi?id=3214
Comment 18 Fedora Update System 2015-12-26 09:49:08 EST
SDL_image-1.2.12-13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-874538ecd8
Comment 19 Fedora Update System 2015-12-26 09:49:47 EST
SDL_image-1.2.12-13.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f5cd8dd647
Comment 20 Fedora Update System 2015-12-28 19:55:45 EST
SDL_image-1.2.12-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-874538ecd8
Comment 21 Fedora Update System 2015-12-30 15:55:00 EST
SDL_image-1.2.12-13.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f5cd8dd647
Comment 22 Fedora Update System 2016-01-03 15:22:12 EST
SDL_image-1.2.12-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-01-07 22:22:42 EST
SDL_image-1.2.12-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.